OpenVDB 13.0.0

Loading...
Searching...
No Matches
NodeMasks.h File Reference
`#include <algorithm>`
`#include <cstring>`
`#include <iostream>`
`#include <openvdb/Platform.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/util/Assert.h>`

Go to the source code of this file.

## Classes
class | BaseMaskIterator< NodeMask >
| Base class for the bit mask iterators. More...
class | OnMaskIterator< NodeMask >
class | OffMaskIterator< NodeMask >
class | DenseMaskIterator< NodeMask >
class | NodeMask< Log2Dim >
| Bit mask for the internal and leaf nodes of VDB. This is a 64-bit implementation. More...
class | NodeMask< 1 >
| Template specialization of NodeMask for Log2Dim=1, i.e. 2^3 nodes. More...
class | NodeMask< 2 >
| Template specialization of NodeMask for Log2Dim=2, i.e. 4^3 nodes. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::util

## Macros
#define | COUNTONB2(n)
#define | COUNTONB4(n)
#define | COUNTONB6(n)

## Functions
Index32 | CountOn (Byte v)
| Return the number of on bits in the given 8-bit value.
Index32 | CountOff (Byte v)
| Return the number of off bits in the given 8-bit value.
Index32 | CountOn (Index32 v)
| Return the number of on bits in the given 32-bit value.
Index32 | CountOff (Index32 v)
| Return the number of off bits in the given 32-bit value.
Index32 | CountOn (Index64 v)
| Return the number of on bits in the given 64-bit value.
Index32 | CountOff (Index64 v)
| Return the number of off bits in the given 64-bit value.
Index32 | FindLowestOn (Byte v)
| Return the least significant on bit of the given 8-bit value.
Index32 | FindLowestOn (Index32 v)
| Return the least significant on bit of the given 32-bit value.
Index32 | FindLowestOn (Index64 v)
| Return the least significant on bit of the given 64-bit value.
Index32 | FindHighestOn (Index32 v)
| Return the most significant on bit of the given 32-bit value.

## Detailed Description

Author
  Ken Museth

## Macro Definition Documentation

## ◆ COUNTONB2

#define COUNTONB2 | ( |  | n | ) |

Value:
n, n+1, n+1, n+2

## ◆ COUNTONB4

#define COUNTONB4 | ( |  | n | ) |

Value:
COUNTONB2(n), COUNTONB2(n+1), COUNTONB2(n+1), COUNTONB2(n+2)
COUNTONB2
#define COUNTONB2(n)

## ◆ COUNTONB6

#define COUNTONB6 | ( |  | n | ) |

Value:
COUNTONB4(n), COUNTONB4(n+1), COUNTONB4(n+1), COUNTONB4(n+2)
COUNTONB4
#define COUNTONB4(n)